# Organization API: Billing & Payouts: Statements

> The 7 Organization API operations for statements.

Source: https://www.coritan.com/docs/api/reference/organizations/billing-payouts/statements/

Part of [Billing & Payouts](/docs/api/reference/organizations/billing-payouts/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/statements`](#op-get-api-v1-orgs-org-slug-statements) | Org list statements |
| POST | [`/api/v1/orgs/{org_slug}/statements/generate`](#op-post-api-v1-orgs-org-slug-statements-generate) | Org generate statement |
| GET | [`/api/v1/orgs/{org_slug}/statements/options-catalog`](#op-get-api-v1-orgs-org-slug-statements-options-catalog) | Org statements options catalog |
| GET | [`/api/v1/orgs/{org_slug}/statements/{statement_id}`](#op-get-api-v1-orgs-org-slug-statements-statement-id) | Org get statement |
| DELETE | [`/api/v1/orgs/{org_slug}/statements/{statement_id}`](#op-delete-api-v1-orgs-org-slug-statements-statement-id) | Org delete statement |
| GET | [`/api/v1/orgs/{org_slug}/statements/{statement_id}/csv`](#op-get-api-v1-orgs-org-slug-statements-statement-id-csv) | Org statement CSV |
| GET | [`/api/v1/orgs/{org_slug}/statements/{statement_id}/pdf`](#op-get-api-v1-orgs-org-slug-statements-statement-id-pdf) | Org statement pdf |

### Org list statements {#op-get-api-v1-orgs-org-slug-statements}

`GET /api/v1/orgs/{org_slug}/statements`

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `org_slug` | path | string | yes |  |
| `limit` | query | integer | no | Default: `50`. |
| `offset` | query | integer | no | Default: `0`. |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org generate statement {#op-post-api-v1-orgs-org-slug-statements-generate}

`POST /api/v1/orgs/{org_slug}/statements/generate`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `period_start` | string (date-time) | yes |
| `period_end` | string (date-time) | yes |
| `force` | boolean | no |
| `notes` | string or null | no |
| `options` | StatementGenerateOptions or null | no |
| `options.include` | StatementIncludeOptions or null | no |
| `options.presentation` | StatementPresentationOptions or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org statements options catalog {#op-get-api-v1-orgs-org-slug-statements-options-catalog}

`GET /api/v1/orgs/{org_slug}/statements/options-catalog`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org get statement {#op-get-api-v1-orgs-org-slug-statements-statement-id}

`GET /api/v1/orgs/{org_slug}/statements/{statement_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `statement_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org delete statement {#op-delete-api-v1-orgs-org-slug-statements-statement-id}

`DELETE /api/v1/orgs/{org_slug}/statements/{statement_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `statement_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `204` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org statement CSV {#op-get-api-v1-orgs-org-slug-statements-statement-id-csv}

`GET /api/v1/orgs/{org_slug}/statements/{statement_id}/csv`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `statement_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org statement pdf {#op-get-api-v1-orgs-org-slug-statements-statement-id-pdf}

`GET /api/v1/orgs/{org_slug}/statements/{statement_id}/pdf`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `statement_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
